Get deals by ids
curl --request GET \
--url https://api.metal.ai/v1/deals/ids={ids} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/deals/ids={ids}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/deals/ids={ids}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/deals/ids={ids}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "665f1c2a9b1e4a0012a3b4c5",
"name": "Project Atlas",
"companyId": "<string>",
"status": "ACTIVE",
"stage": "DUE_DILIGENCE",
"externalStatus": "<string>",
"externalStage": "<string>",
"acquisitionType": "platform",
"owners": [
{
"id": "<string>",
"type": "<string>"
}
],
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
]
}{
"error": "invalid api key or clientId"
}Get deals by ids
Retrieves multiple deals in a single request.
GET
/
v1
/
deals
/
ids=
{ids}
Get deals by ids
curl --request GET \
--url https://api.metal.ai/v1/deals/ids={ids} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/deals/ids={ids}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/deals/ids={ids}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/deals/ids={ids}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "665f1c2a9b1e4a0012a3b4c5",
"name": "Project Atlas",
"companyId": "<string>",
"status": "ACTIVE",
"stage": "DUE_DILIGENCE",
"externalStatus": "<string>",
"externalStage": "<string>",
"acquisitionType": "platform",
"owners": [
{
"id": "<string>",
"type": "<string>"
}
],
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
]
}{
"error": "invalid api key or clientId"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
Comma-separated resource ids.
Response
The matching deals.
Show child attributes
Show child attributes
Related topics
Get documents by idsGet companies by idsGet people by idsGet a dealGet a deal by external id⌘I

